# tiles/t925: Temperature at 925hPa

Mixer: **default**

## Inputs

* **t925**:
    * Model **cosmo**:
        * **Arkimet matcher**: `product:GRIB1,,2,11;level:GRIB1,100,925`
        * **grib_filter matcher**: `centre != 98 and shortName is "t" and levelType == 100 and level == 925 and editionNumber == 1`
    * Model **ifs**:
        * **Arkimet matcher**: `product:GRIB1,98,128,130;level:GRIB1,100,925`
        * **grib_filter matcher**: `centre == 98 and shortName is "t" and levelType == 100 and level == 925`
    * Model **icon**:
        * **Arkimet matcher**: `product:GRIB2,,,000,000,,;level:GRIB2S,100,000,0000092500;timerange:Timedef,,254,`
        * **grib_filter matcher**: `centre != 98 and shortName is "t" and levelType == 100 and level == 925 and editionNumber == 2`

## Steps

### add_basemap

Add a base map

With arguments:
```
{
  "params": {
    "page_id_line": false,
    "output_width": 1280,
    "subpage_map_projection": "cylindrical",
    "subpage_lower_left_longitude": 2.5,
    "subpage_lower_left_latitude": 35.0,
    "subpage_upper_right_longitude": 20.0,
    "subpage_upper_right_latitude": 50.0,
    "page_x_length": 38,
    "page_y_length": 31,
    "super_page_x_length": 40,
    "super_page_y_length": 32,
    "subpage_x_length": 34,
    "subpage_y_length": 30,
    "subpage_x_position": 2,
    "subpage_y_position": 1,
    "map_grid": true,
    "map_grid_latitude_reference": 45.0,
    "map_grid_longitude_reference": 0.0,
    "map_grid_longitude_increment": 2.5,
    "map_grid_latitude_increment": 2.5,
    "map_grid_colour": "grey",
    "map_grid_line_style": "dash",
    "map_label_colour": "black",
    "map_label_height": 0.4,
    "map_label_latitude_frequency": 1
  }
}
```

### add_coastlines_bg

Add background coastlines

With arguments:
```
{
  "params": {
    "map_coastline_general_style": "background",
    "map_coastline_resolution": "high"
  }
}
```

### add_grib

Add a grib file

With arguments:
```
{
  "grib": "t925"
}
```

### add_contour

Add contouring of the previous data

With arguments:
```
{
  "params": {
    "contour": false,
    "contour_label_height": 0.4,
    "contour_label_colour": "navy",
    "contour_label_frequency": 1,
    "contour_label_blanking": false,
    "contour_line_thickness": 3,
    "contour_shade": true,
    "contour_level_list": [
      -40.0,
      -38.0,
      -36.0,
      -34.0,
      -32.0,
      -30.0,
      -28.0,
      -26.0,
      -24.0,
      -22.0,
      -20.0,
      -18.0,
      -16.0,
      -14.0,
      -12.0,
      -10.0,
      -8.0,
      -6.0,
      -4.0,
      -2.0,
      0.0,
      2.0,
      4.0,
      6.0,
      8.0,
      10.0,
      12.0,
      14.0,
      16.0,
      18.0,
      20.0,
      22.0,
      24.0,
      26.0,
      28.0,
      30.0,
      32.0,
      42
    ],
    "contour_level_selection_type": "list",
    "contour_shade_colour_list": [
      "rgb(0.5,0.8,0.0)",
      "rgb(0.8,0.9,0.0)",
      "rgb(1.,1.,0)",
      "rgb(1,0.8,0)",
      "rgb(1,0.6,0)",
      "rgb(1,0.4,0)",
      "rgb(1,0,0)",
      "rgb(0.8,0,0)",
      "rgb(0.6,0,0)",
      "rgb(0.4,0,0)",
      "rgb(0.4,0,0.4)",
      "rgb(0.6,0,0.6)",
      "rgb(0.8,0,0.8)",
      "rgb(1,0,1)",
      "rgb(0.75,0,1)",
      "rgb(0.45,0,1)",
      "rgb(0.,0,1)",
      "rgb(0.,0.35,1)",
      "rgb(0.,0.55,1)",
      "rgb(0.,0.75,1)",
      "rgb(0.,1,1)",
      "rgb(0.,0.9,0.8)",
      "rgb(0.,0.8,0.5)",
      "rgb(0.,0.7,0.0)",
      "rgb(0.5,0.8,0.0)",
      "rgb(0.8,0.9,0.0)",
      "rgb(1.,1.,0)",
      "rgb(1.,0.8,0)",
      "rgb(1,0.6,0)",
      "rgb(1,0.4,0)",
      "rgb(1,0,0)",
      "rgb(0.8,0,0)",
      "rgb(0.6,0,0)",
      "rgb(0.4,0,0)",
      "rgb(0.4,0,0.4)",
      "rgb(0.6,0,0.6)",
      "rgb(0.8,0,0.8)"
    ],
    "contour_shade_colour_method": "list",
    "contour_shade_method": "area_fill",
    "legend": true,
    "legend_display_type": "continuous",
    "legend_title": true,
    "legend_title_text": "Temperature at 925hPa [\u00b0C]",
    "legend_text_colour": "black",
    "legend_text_font_size": 0.4,
    "legend_title_font_size": 0.5,
    "legend_automatic_position": "right"
  }
}
```

### add_coastlines_fg

Add foreground coastlines

With arguments:
```
{
  "params": {
    "map_coastline_sea_shade_colour": "#f2f2f2",
    "map_grid": "off",
    "map_coastline_sea_shade": "off",
    "map_label": "off",
    "map_coastline_colour": "#000000",
    "map_coastline_resolution": "high"
  }
}
```

### add_grid

Add a coordinates grid

With arguments:
```
{
  "params": {
    "map_coastline_general_style": "grid"
  }
}
```

### add_boundaries

Add political boundaries

With arguments:
```
{
  "params": {
    "map_boundaries": true,
    "map_boundaries_colour": "#000000",
    "map_administrative_boundaries_countries_list": [
      "ITA"
    ],
    "map_administrative_boundaries_colour": "#000000",
    "map_administrative_boundaries_style": "solid",
    "map_administrative_boundaries": true,
    "map_coastline_thickness": 2
  }
}
```

### add_user_boundaries

Add user-defined boundaries from a shapefile

With arguments:
```
{
  "skip": true,
  "params": {
    "map_user_layer": "on",
    "map_user_layer_colour": "blue"
  }
}
```

### add_geopoints

Add geopoints

With arguments:
```
{
  "skip": true
}
```

### add_symbols

Add symbols settings

With arguments:
```
{
  "skip": true,
  "params": {
    "symbol_type": "marker",
    "symbol_marker_index": 15,
    "legend": "off",
    "symbol_colour": "black",
    "symbol_height": 0.28
  }
}
```

